
/*
 * Include Files
 *
 */
#if defined(MATLAB_MEX_FILE)
#include "tmwtypes.h"
#include "simstruc_types.h"
#else
#include "rtwtypes.h"
#endif



/* %%%-SFUNWIZ_wrapper_includes_Changes_BEGIN --- EDIT HERE TO _END */
#include <math.h>
#include "realhw_if.h"
/* %%%-SFUNWIZ_wrapper_includes_Changes_END --- EDIT HERE TO _BEGIN */
#define u_width 1
#define y_width 1

/*
 * Create external references here.  
 *
 */
/* %%%-SFUNWIZ_wrapper_externs_Changes_BEGIN --- EDIT HERE TO _END */
/* extern double func(double a); */
/* %%%-SFUNWIZ_wrapper_externs_Changes_END --- EDIT HERE TO _BEGIN */

/*
 * Start function
 *
 */
void real_hw_Start_wrapper(real_T *xD,
			const int8_T *COM_PORT_NUMBER, const int_T p_width0)
{
/* %%%-SFUNWIZ_wrapper_Start_Changes_BEGIN --- EDIT HERE TO _END */
/*
 * JX^JnR[hɔzu܂B
 */
realhw_init((int)(COM_PORT_NUMBER[0]));
/* %%%-SFUNWIZ_wrapper_Start_Changes_END --- EDIT HERE TO _BEGIN */
}
/*
 * Output function
 *
 */
void real_hw_Outputs_wrapper(const real_T *cmd,
			const real_T *offset,
			const real_T *clk,
			real_T *gz,
			real_T *aglz,
			const real_T *xD,
			const int8_T *COM_PORT_NUMBER, const int_T p_width0)
{
/* %%%-SFUNWIZ_wrapper_Outputs_Changes_BEGIN --- EDIT HERE TO _END */
/* ̃Tv́Ao͂͂Ɠݒ肵܂
 y0[0] = u0[0]; 
 fM̏ꍇ́Agp܂: y0[0].re = u0[0].re; 
 y0[0].im = u0[0].im;
 y1[0].re = u1[0].re;
 y1[0].im = u1[0].im;
 */
realhw_update(
        clk[0],
        offset[0],
        cmd[0],
        &(gz[0]),
        &(aglz[0])
);
/* %%%-SFUNWIZ_wrapper_Outputs_Changes_END --- EDIT HERE TO _BEGIN */
}

/*
 * Updates function
 *
 */
void real_hw_Update_wrapper(const real_T *cmd,
			const real_T *offset,
			const real_T *clk,
			real_T *gz,
			real_T *aglz,
			real_T *xD,
			const int8_T *COM_PORT_NUMBER, const int_T p_width0)
{
/* %%%-SFUNWIZ_wrapper_Update_Changes_BEGIN --- EDIT HERE TO _END */
/*
 * R[h
 * xD[0] = u0[0];
 */
xD[0] = 1;
/* %%%-SFUNWIZ_wrapper_Update_Changes_END --- EDIT HERE TO _BEGIN */
}
/*
 * Terminate function
 *
 */
void real_hw_Terminate_wrapper(real_T *xD,
			const int8_T *COM_PORT_NUMBER, const int_T p_width0)
{
/* %%%-SFUNWIZ_wrapper_Terminate_Changes_BEGIN --- EDIT HERE TO _END */
/*
 * JX^IR[hɔzu܂B
 */
realhw_close();
/* %%%-SFUNWIZ_wrapper_Terminate_Changes_END --- EDIT HERE TO _BEGIN */
}

